This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 217543 - Update to Totem 2.16.4
Update to Totem 2.16.4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: totem (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
: Desktop
Depends On: 221551
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 10:19 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0628
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 13:01:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bug buddy report (18.33 KB, text/plain)
2007-09-05 06:53 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Bastien Nocera 2006-11-28 10:19:29 EST
The release fixes 2 bugs (and only 2 bugs).

The ChangeLog entries:

2006-11-24  Bastien Nocera  <hadess@hadess.net>

        * src/totem-sidebar.c: (totem_sidebar_setup):
        * src/totem.c: (totem_action_save_state),
        (main_pane_size_allocated), (totem_setup_window),
        (video_widget_create): Patch from Jan Arne Petersen
        <jpetersen@jpetersen.org> to make Totem remember the width
        of the sidebar even when Totem was maximised when we exited
        (Closes: #365211, #361800, #316286)

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
These make Totem look bad when Totem is maximised when exiting. Tested
thoroughly on the devel branch before it was added to the stable branch.

2006-11-23  Bastien Nocera  <hadess@hadess.net>

        * src/totem-session.c: (totem_session_restore): Patch from
        Marek Schmidt <xschmi01@stud.fit.vutbr.cz> to fix restoring the
        session. The playlist expects URI, we fed it a local filename
        (Closes: Debian #399983)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Straight forward fix, which makes session restore work again. Bug is at:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=399983
Comment 1 RHEL Product and Program Management 2006-11-28 10:30:21 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Alexander Larsson 2006-11-28 11:46:57 EST
Built as 2.16.4-1.el5
Comment 3 Nicole Dai 2007-01-01 20:27:07 EST
Retested the following two test cases with totem-2.16.4-2.el5 on
RHEL5-Client-20061226.nightly:
I:
1. Start totem
2. Populate playlist, play something
3. Logout (tried both in KDE and in GNOME)
4. Login and totem should starts but with empty playlist
Result: In KDE, the totem started with the previous playlist and an error
occurred: Could not decode stream.
II:
1. Open totem (not maximized). Sidebar is ok.
2. Maximize totem
3. Close totem
4. Open totem. 
Result:Sidebar is normal.
As the first test case failed, put the bug back.
Comment 5 Bastien Nocera 2007-01-04 03:55:12 EST
(In reply to comment #3)
> Retested the following two test cases with totem-2.16.4-2.el5 on
> RHEL5-Client-20061226.nightly:
> I:
> 1. Start totem
> 2. Populate playlist, play something
> 3. Logout (tried both in KDE and in GNOME)
> 4. Login and totem should starts but with empty playlist
> Result: In KDE, the totem started with the previous playlist and an error
> occurred: Could not decode stream.

I must admit I never tested with KDE, nor did anyone report this bug upstream. I
believe the older version would have the same bug.

> II:
> 1. Open totem (not maximized). Sidebar is ok.
> 2. Maximize totem
> 3. Close totem
> 4. Open totem. 
> Result:Sidebar is normal.
> As the first test case failed, put the bug back.

Good, it fixes the bug it's supposed to :)
Comment 6 Bastien Nocera 2007-01-04 12:11:54 EST
I filed the KDE part upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=392795
Comment 7 Nicole Dai 2007-01-05 00:37:30 EST
The little problem occurred in gnome too with the following steps:
1 start totem in gnome
2 populate playlist and play something
3 execute gnome-session-save in g-t
4 logout and re-login
Result:the totem started with the previous playlist and an error
occurred: Could not decode stream.
Comment 8 Nicole Dai 2007-01-05 01:04:57 EST
The KDE issue has been reported in a new bug (Bug 221551) for trace 
Comment 9 Bastien Nocera 2007-01-05 08:56:44 EST
Bugs are the wrong way around. As bug 221551 also occurs with GNOME, we'll need
to fix it before uploading the new Totem.
Comment 12 RHEL Product and Program Management 2007-04-25 19:02:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 Satyabrata Maitra 2007-09-05 06:53:34 EDT
Created attachment 187251 [details]
bug buddy report
Comment 15 Bastien Nocera 2007-09-05 06:57:33 EDT
(In reply to comment #14)
> Created an attachment (id=187251) [edit]
> bug buddy report

Could you please stop spamming this errata with unrelated crashers?
There are a number of known crashers in the versions of GStreamer and plugins we
ship. Those don't change the fixes done in the front-end.
Comment 18 errata-xmlrpc 2007-11-07 13:01:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0628.html

Note You need to log in before you can comment on or make changes to this bug.